# Class PokemonStatusHealModifier

#### Hierarchy (view full)

- ConsumablePokemonModifier
  - PokemonStatusHealModifier

- Defined in src/modifier/modifier.ts:1158

#####
Index

### Constructors

constructor

### Properties

pokemonId
type

### Methods

add
apply
getPokemon
match
shouldApply

## Constructors

### constructor

- new PokemonStatusHealModifier(type, pokemonId): PokemonStatusHealModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number

  #### Returns PokemonStatusHealModifier

  Overrides ConsumablePokemonModifier.constructor

  - Defined in src/modifier/modifier.ts:1159

## Properties

### pokemonId

pokemonId: number

Inherited from ConsumablePokemonModifier.pokemonId

- Defined in src/modifier/modifier.ts:1105

### type

type: ModifierType

Inherited from ConsumablePokemonModifier.type

- Defined in src/modifier/modifier.ts:121

## Methods

### add

- add(_modifiers): boolean

- #### Parameters

  - _modifiers: Modifier []

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.add

  - Defined in src/modifier/modifier.ts:234

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ConsumablePokemonModifier.apply

  - Defined in src/modifier/modifier.ts:1163

### getPokemon

- getPokemon(scene): PlayerPokemon

- #### Parameters

  - scene: default

  #### Returns PlayerPokemon

  Inherited from ConsumablePokemonModifier.getPokemon

  - Defined in src/modifier/modifier.ts:1117

### match

- match(_modifier): boolean

- #### Parameters

  - _modifier: Modifier

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.match

  - Defined in src/modifier/modifier.ts:127

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from ConsumablePokemonModifier.shouldApply

  - Defined in src/modifier/modifier.ts:1113